package ee.factorial_client;

import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Named;
import jakarta.xml.ws.WebServiceRef;

@Named
@RequestScoped
public class FaktBean {
    public FaktBean() { }

    int n;
    long result;

    public int getN() { return n; }
    public void setN(int newN) { n = newN; }

    public long getResult() { return result; }
    public void setResult(long newResult) { result = newResult; }

    @WebServiceRef(wsdlLocation = "http://localhost:8080/Factorial_Service-1.0-SNAPSHOT/Factorial?wsdl")
    private Factorial_Service faktorialService;

    public void compute()
    {
        Factorial factorial = faktorialService.getFactorialPort();

        result = factorial.factorial(n);
    }
}
